#include <stdio.h>

#include <ds2io.h>
#include <ds2_cpu.h>
#include <fs_api.h>
#include <ds2_malloc.h>

#include "myds2_wav.h"
#include "myds2_gfx.h"

#include "menu.h"


#include "wav/mus_intro_wav.h"
#include "gfx/pdev_bg0_png.h"
#include "gfx/pdev_tbg0_png.h"

#define KEY_ALL (KEY_TOUCH | KEY_R | KEY_L | KEY_A | KEY_B | KEY_START | KEY_SELECT)

// Intro with portabledev logo
void intro_logo(void) {
  bool bOK;
  struct key_buf input;

  // Load intro
  ds2pngshow(pdev_tbg0_png, pdev_tbg0_png_size, UP_SCREEN, 0,0, true);
  ds2pngshow(pdev_bg0_png,pdev_bg0_png_size, DOWN_SCREEN, 0,0, true);
//  ds2_flipScreen(DUAL_SCREEN, 1);

  play_wave(mus_intro_wav, mus_intro_wav_size);

  bOK=false;
  while (!bOK) { ds2_getrawInput(&input); if ( !(input.key & KEY_ALL ) ) bOK=true; } 
  bOK=false;
  while (!bOK) { ds2_getrawInput(&input); if ( (input.key & KEY_ALL) ) bOK=true; }
  bOK=false;
  while (!bOK) { ds2_getrawInput(&input); if ( !(input.key & KEY_ALL) ) bOK=true; } 
}
