#ifndef _A7800_menu_h_
#define _A7800_menu_h_


#define 	bool   int
#define 	false   0
#define 	true   1

#define A7800_MENUINIT 0x01
#define A7800_MENUSHOW 0x02
#define A7800_PLAYINIT 0x03 
#define A7800_PLAYGAME 0x04 
#define A7800_QUITSTDS 0x05

typedef struct FICtoLoad {
  char filename[255];
  bool directory;
  unsigned int uCrc;
} FICA7800;

typedef struct {
  unsigned int sndLevel;
  unsigned int m_ScreenRatio; // 0 = original show, 1 = full screen
  unsigned short DS_Pad[12]; // each key mapping
  unsigned int m_DisplayFPS;
} gamecfg;

extern unsigned int etatEmu;

extern void dsInitScreenMain(void);
extern void dsShowScreenEmu(void);
extern void dsShowScreenMain(void);
extern void dsFreeEmu(void);
extern void dsLoadGame(char *filename);
extern bool dsWaitOnQuit(void);
extern void dsDisplayFiles(unsigned int NoDebGame,u32 ucSel);
extern unsigned int dsWaitForRom(void);
extern unsigned int dsWaitOnMenu(unsigned int actState);
extern void dsPrintValue(int x, int y, unsigned int isSelect, char *pchStr);
extern int a78Filescmp (const void *c1, const void *c2);
extern void proFindFiles(void);

#endif

